mlpack (4.8.0-1) unstable; urgency=medium

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 22 Jun 2026 22:37:40 +0100

mlpack (4.7.0-2) unstable; urgency=medium

  * Build depend on ccache

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 05 Feb 2026 13:02:30 +0000

mlpack (4.7.0-1) unstable; urgency=medium

  * Bump policy and update scripts
  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 02 Feb 2026 21:52:15 +0000

mlpack (4.6.2-1) unstable; urgency=medium

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 14 Aug 2025 12:16:47 +0100

mlpack (4.6.0-1) unstable; urgency=medium

  * New upstream version
  * Forward port quilt patches
  * Bump policy
  * Build dependency for dh --with python3
  * Adjust to upstream removal of pre-C++17 support via
    src/mlpack/core/std_backport/*
  * Remove stray empty directory

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 06 Apr 2025 20:19:15 +0100

mlpack (4.5.1-1) unstable; urgency=medium

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 09 Dec 2024 14:42:18 +0000

mlpack (4.5.0-1) unstable; urgency=medium

  * New upstream version
  * Bump policy
  * Update dependencies (closes: #1082117)
  * Switch pkg-config → pkgconf

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 23 Sep 2024 15:39:26 -0400

mlpack (4.4.0-1) unstable; urgency=medium

  * New upstream version
  * Forward port patches

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 29 May 2024 16:23:48 +0100

mlpack (4.3.0-2) unstable; urgency=medium

  * Team upload
  * Drop the runtime dependency on Cython (Closes: #1057992)

 -- Graham Inggs <ginggs@debian.org>  Thu, 11 Jan 2024 09:40:13 +0000

mlpack (4.3.0-1) unstable; urgency=medium

  * Guard stanzas involving binary package for arch all (closes: #1054294)
  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 28 Nov 2023 12:03:54 +0000

mlpack (4.2.1-1) unstable; urgency=medium

  * new upstream version
  * modularize build-time testing in debian/rules (currently off)
  * move stray documentation files into /usr/share/doc/ per lintian
  * remove extra license file
  * updates to debian/copyright
  * export DESTDIR and depend on python-pip (closes: #1028633),
    thanks to Nick Rosbrook for the patch

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 19 Oct 2023 20:01:27 +0100

mlpack (4.1.0-1) unstable; urgency=medium

  * new upstream version
  * Update standards version to 4.6.2, no changes needed.

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 12 Jun 2023 10:14:05 +0100

mlpack (4.0.1-1) unstable; urgency=medium

  * new upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 13 Jan 2023 10:25:39 +0000

mlpack (4.0.0-1) unstable; urgency=medium

  * tweak debian/watch to ignore the -windows version
  * new upstream version
  * forward port quilt patches (all are obsolete or upstreamed)
  * disable Go language bindings (future work: generate Julia & Go bindings)
  * remove build dependency on boost
  * add build dependency on libcereal-dev
  * package is now header-only: remove shared library binary package
  * remove clang build machinery (closes: #1017678)
  * remove doxygen documentation build
  * remove code related to no-longer-present files
  * work around upstream python3 installing into /usr/local
  * include new docs
  * bump policy
  * patch to not disable optimization with -O0 (closes: #970227)

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 08 Nov 2022 13:13:44 +0000

mlpack (3.4.2-7) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on libarmadillo-dev and
      libboost-math-dev.
    + libmlpack-dev: Drop versioned constraint on libarmadillo-dev in Depends.

  [ Barak A. Pearlmutter ]
  * Remove unused cython patches

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 22 Apr 2022 13:32:17 +0100

mlpack (3.4.2-6) unstable; urgency=medium

  * fix silly typo in debian/control

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 13 Apr 2022 18:39:22 +0100

mlpack (3.4.2-5) unstable; urgency=medium

  * Restrict build dependency on libomp-dev to architectures using clang

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 18 Feb 2022 10:08:27 +0000

mlpack (3.4.2-4) unstable; urgency=medium

  * Cherry-pick zoq:atomic-llvm 26855cd348c04c345fa6bf57aa8c33d0b181d396

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 17 Feb 2022 14:00:24 +0000

mlpack (3.4.2-3) unstable; urgency=medium

  * Disable building tests, per email suggestion from Curtis
  * Build dependency so OpenMP will actually be used

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 15 Feb 2022 19:28:14 +0000

mlpack (3.4.2-2) unstable; urgency=medium

  * Bump policy
  * Just install the entire Doxygen-generated html directory willy-nilly
  * Export vars in debian/rules for new dh_python3 ${DEB_HOST_ARCH} error
  * Remove lintian override for obsolete tag hyphen-used-ad-minus-sign
  * Remove copyright stanza for long-removed ARMA cmake files
  * Add some substitution variables that are being defined

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 03 Feb 2022 14:21:59 +0000

mlpack (3.4.2-1) unstable; urgency=medium

  * New upstream version
  * Forward port patches
  * Do not allow doxygen warnings to break the build

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 03 Nov 2020 22:19:04 +0000

mlpack (3.4.1-2) unstable; urgency=medium

  * Stop generating julia bindings

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 12 Oct 2020 16:05:23 +0100

mlpack (3.4.1-1) unstable; urgency=medium

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 10 Sep 2020 08:54:47 +0100

mlpack (3.4.0-1) unstable; urgency=medium

  * New upstream release
  * Documentation now contains .svg files
  * Tiny grammar patch

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 07 Sep 2020 11:56:01 +0100

mlpack (3.3.2-5) unstable; urgency=medium

  * refine build dependency on clang and julia where available

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 09 Aug 2020 18:33:10 +0100

mlpack (3.3.2-4) unstable; urgency=medium

  * fix broken debian/rules executable search non-POSIX logic

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 08 Aug 2020 22:13:47 +0100

mlpack (3.3.2-3) unstable; urgency=medium

  * hotwire debian/rules to check for clang and use it iff found
  * hotwire debian/rules to check for julia and support it iff found
  * make clang and julia optional build dependencies by giving them each
    a minimal dummy alternative

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 08 Aug 2020 21:36:45 +0100

mlpack (3.3.2-2) unstable; urgency=medium

  * include cmake support files in development package (closes: #964294)
  * update configuration options, including enabling building of tests
  * enable Julia bindings
  * avoid compile-time resource exhaustion by using CLANG instead of GCC
    (closes: #962533)
  * quilt patch for build-killing LaTeX markup typo
  * install stray html support file
  * Now formula.repository is gone, huh

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 04 Aug 2020 13:39:14 +0100

mlpack (3.3.2-1) unstable; urgency=medium

  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 28 Jun 2020 16:09:45 +0100

mlpack (3.3.1-1) unstable; urgency=medium

  * New upstream release
  * Bump to debhelper 13

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 05 May 2020 10:39:18 +0100

mlpack (3.3.0-1) unstable; urgency=medium

  * New upstream release
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Bump policy

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 17 Apr 2020 11:55:25 +0100

mlpack (3.2.2-3) unstable; urgency=medium

  [ Matthias Klose ]
  * Don't hard-code Python 3.7 files.
  * python3-mlpack: Remove python3:Provides from dependencies.

  [ Barak A. Pearlmutter ]
  * Merge useful Ubuntu patches (thanks Matthias!)

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 21 Feb 2020 15:30:39 +0000

mlpack (3.2.2-2) unstable; urgency=medium

  * repair incorrectly-bifurcated dh_installexamples override
  * install html-associated documentation formula.repository
  * no need for root while building
  * set STB_IMAGE_INCLUDE_DIR to make sure cmake finds stb include files
  * generate Python3 bindings package
    - various build dependencies
    - debian/rules support for dh_python3 and dh_numpy3
    - install python3 module per policy

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 18 Dec 2019 18:44:36 +0000

mlpack (3.2.2-1) unstable; urgency=medium

  * build dependency on libstb-dev (closes: #942393)
  * new upstream version
  * version some build dependencies
  * disable built-time downloading for ensmallen and libstb

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 03 Dec 2019 14:03:43 +0000

mlpack (3.2.1-1) unstable; urgency=medium

  * new upstream version
  * bump policy
  * update upstream tag format

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 06 Oct 2019 21:57:32 +0100

mlpack (3.2.0-1) unstable; urgency=medium

  * new upstream version
    - builds on GCC 9.x (closes: #925779)
  * bump policy
  * patch spelling error

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 27 Sep 2019 08:49:04 +0100

mlpack (3.1.1-1) unstable; urgency=medium

  * new upstream version
  * add some missing run-time dependencies
  * patch a grammatical error
  * install mysterious formula.repository file
  * account for upstream installing foo.1 in man/foo.1 instead of man/man1/foo.1
  * scour away stray .gitignore installed in docs
  * set --doc-main-package whatever that is

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 06 Jun 2019 13:42:17 +0100

mlpack (3.1.0-1) unstable; urgency=medium

  * fix debian/watch uscan support file
  * new upstream version
  * bump policy
  * bump to debhelper 12
  * build dependency on ensmallen C++ header library

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 02 May 2019 11:59:24 +0100

mlpack (3.0.4-1) unstable; urgency=medium

  * new upstream version
  * add missing whitespace in documentation string patch
  * forward port patches (one patch has been upstreamed)
  * include example app in documentation package

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 18 Nov 2018 22:45:44 +0000

mlpack (3.0.3-3) unstable; urgency=medium

  * bump standards version

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 11 Sep 2018 22:53:07 +0100

mlpack (3.0.3-2) unstable; urgency=medium

  * remove chrpath build dependency, unused since 3.0.0-1
  * bump standards version
  * patch minor latex typo

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 02 Aug 2018 15:28:05 +0200

mlpack (3.0.3-1) unstable; urgency=medium

  * New upstream version
  * Bump policy

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 01 Aug 2018 11:18:42 +0200

mlpack (3.0.2-1) unstable; urgency=medium

  * New upstream version
  * Bump policy

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 27 Jun 2018 21:15:19 +0100

mlpack (3.0.1-2) unstable; urgency=medium

  * Tweak debian/rules to use approves mechanisms

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 28 May 2018 14:09:02 +0100

mlpack (3.0.1-1) unstable; urgency=medium

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 20 May 2018 23:32:18 +0100

mlpack (3.0.0-2) unstable; urgency=medium

  * Remove now-unused lintian override
  * Add Armadillo debian/copyright stanza
  * Properly fix man pages by patching generator
  * Patch tiny spelling error

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 05 Apr 2018 10:17:35 +0100

mlpack (3.0.0-1) unstable; urgency=medium

  * New upstream version
  * Debhelper 11
  * Bump standards version
  * Swizzle packaging repo to salsa
  * Use latexmk --pdf to build manual to avoid problematic ps2pdf
  * Secure some URLs
  * Adjust html manual installation, new subdir search/
  * Remove now-unnecessary chrpath --delete
  * Adjust man page installation to upstream changes
    - section 3 gone
    - section 1 for executables, install into -bin package
  * Refresh debian/copyright from COPYRIGHT.txt
  * Add UPDATING.txt and CONTRIBUTING.md to doc package
  * Install HISTORY.md as upstream changelog
  * Bump .soname per upstream

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 04 Apr 2018 09:16:00 +0100

mlpack (2.2.5-1) unstable; urgency=medium

  * New upstream version
  * Bump standards version, no changes required
  * Secure packaging repo URL

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 31 Aug 2017 09:50:16 +0100

mlpack (2.2.4-1) unstable; urgency=medium

  * New upstream version
  * Bump standards version, no changes required
  * Mark mlpack-doc as Multi-arch: Foreign
  * Move .pc file to arch-specific subdir

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 26 Jul 2017 21:42:50 +0100

mlpack (2.2.3-1) unstable; urgency=medium

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 29 May 2017 13:00:48 +0100

mlpack (2.2.2-1) unstable; urgency=medium

  * New upstream version
  * Update linian overrides per newer doxygen
  * chrpath --delete executables which seem to have rpath set

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 24 May 2017 15:07:27 +0100

mlpack (2.2.1-2) unstable; urgency=medium

  * Reduce build memory on architectures that need it (closes: #860014)
    Thanks to Radovan Birdic <Radovan.Birdic@imgtec.com> for the patch.

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 28 Apr 2017 11:59:24 +0100

mlpack (2.2.1-1) unstable; urgency=medium

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 26 Apr 2017 15:00:40 +0100

mlpack (2.2.0-1) unstable; urgency=medium

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 23 Mar 2017 15:39:12 +0000

mlpack (2.1.1-1) unstable; urgency=medium

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 26 Dec 2016 10:13:23 +0000

mlpack (2.1.0-2) unstable; urgency=medium

  * space-saving options to address FTBS on some architectures

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 28 Nov 2016 16:59:50 +0000

mlpack (2.1.0-1) unstable; urgency=medium

  * Track upstream changes, including pkg-config goo desired by Dirk for R
  * Tweak build scripts to generate/install .pc file
  * Use jquery.js from common package per lintian whining
  * New upstream version
  * Remove now-unnecessary cmake hardening workaround
  * bump to dh10

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 14 Nov 2016 14:38:59 +0000

mlpack (2.0.3-1) unstable; urgency=medium

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 15 Sep 2016 12:00:57 +0100

mlpack (2.0.2-1) unstable; urgency=medium

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 18 Jul 2016 23:12:31 +0200

mlpack (2.0.1-1) unstable; urgency=medium

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 15 Feb 2016 19:15:06 +0000

mlpack (2.0.0-2) unstable; urgency=medium

  * work around upstream bug of failure to install arma_config.hpp

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 04 Feb 2016 23:26:01 +0000

mlpack (2.0.0-1) unstable; urgency=medium

  * New upstream version
    - upstream repo moved from SVN to git
  * quilt patches
    - forward port
    - augment spelling patch
  * debian/control
    - bump to libmlpack.so.2
    - build dependency on libboost-serialization-dev
    - remove obsolete field DM-Upload-Allowed
    - canonicalize name as "mlpack" not "MLpack" or "MLPACK", per upstream
  * debian/rules
    - remove hdf5 include directory tweak
    - remove code to prefix binaries with mlpack_, as this is now done upstream
    - dh_install --list-missing
  * debian/*.docs
    - upstream README.txt now README.md
    - document not installing html/*.map and .md5
  * debian/copyright
    - Upstream COPYRIGHT.txt is appropriately formatted, so just copy it
      to debian/copyright, add a debian/* stanza, and add an upstream
      git repo pointer.
  * debian/clean, for some generated include files

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 18 Jan 2016 16:22:30 +0000

mlpack (1.0.12-5) unstable; urgency=medium

  * Add build dependency for /usr/bin/dot (closes: #798840)

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 25 Sep 2015 08:56:20 +0100

mlpack (1.0.12-4) unstable; urgency=medium

  * patch to remove timestamp from Doxygen output

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 16 Jun 2015 11:19:53 +0100

mlpack (1.0.12-3) unstable; urgency=medium

  * actually type "unstable" where I meant to

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 08 May 2015 11:00:31 +0100

mlpack (1.0.12-2) experimental; urgency=medium

  * freeze is over, target to unstable

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 05 May 2015 09:33:38 +0100

mlpack (1.0.12-1) experimental; urgency=medium

  * New upstream version
  * Upstream license now 3-Clause BSD
  * Paatch somme more speling erorrs

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 19 Jan 2015 07:23:12 +0000

mlpack (1.0.10-1) unstable; urgency=medium

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 09 Sep 2014 13:42:47 +0100

mlpack (1.0.9-1) unstable; urgency=medium

  * Merge NMU (thanks to Gilles Filippini)
  * New upstream version
  * Update patches; most are merged upstream
  * Paatch somme speling erorrs

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 17 Aug 2014 10:00:19 +0200

mlpack (1.0.8-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Support hdf5 1.8.13 new packaging layout (closes: #756706).

 -- Gilles Filippini <pini@debian.org>  Wed, 06 Aug 2014 19:41:52 +0200

mlpack (1.0.8-1) unstable; urgency=medium

  * Initial release (closes: #660925, #743710)
  * Thanks to Sterling Lewis Peet <sterling.peet@gatech.edu> for an
    earlier packaging from which a bit of material was poached

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 07 Apr 2014 10:30:54 +0100
